<template>
	<view class="container order clearfix" :style="{ paddingBottom: isIphoneX ? '190rpx' : '134rpx' }">
		<!-- 地址选择 -->
		<cm-address-temp ref="choiceAddress" v-if="isRequest" :addressData="addressData" />
		<!-- 商品 -->
		<cm-goods-temp
			ref="goods"
			v-if="isRequest"
			:secondflag="secondflag"
			:goodsData.sync="goodsData"
			@handleGoodList="handChangeInputGoodsList"
			@changeChina="handleChangeChina"
			@changePostage="handleChangePostage"
		/>
		<!-- 发票信息 -->
		<cm-invice-popup
			ref="invoice"
			v-if="isRequest"
			:invoiceDatas="invoiceData"
			@handleChoiceaInvoice="handleChoiceaInvoiceData"
		/>
		<!-- 底部 -->
		<view class="footer" :style="{ paddingBottom: isIphoneX ? '68rpx' : '0rpx' }">
			<view class="footer-le">
				<view class="footer-count">
					<text>共{{ totalCount }}件商品</text>
				</view>
				<view class="footer-price">
					<view class="sum" :class="totalDiscountAmount == 0 ? 'none' : ''">
						总价:<text class="price">￥{{ orderShouldPayFee | NumFormat }}</text>
					</view>
					<view class="sum-none" v-if="totalDiscountAmount > 0">
						<text class="money-reduced"
							>共减<text>￥{{ totalDiscountAmount | NumFormat }}</text></text
						>
					</view>
				</view>
			</view>
			<view class="footer-submit" @click.stop="orderSubmitMit">
				<view class="btn" :class="isSubLoading ? 'disabled' : ''">提交订单</view>
			</view>
		</view>
		<!-- 弹窗提示 -->
		<tui-modal
			:show="modal"
			@click="handleClick"
			@cancel="hideMobel"
			:content="contentModalText"
			:button="modalButton"
			color="#333"
			:size="32"
			shape="circle"
			:maskClosable="false"
		>
		</tui-modal>
	</view>
</template>

<script>
import cmAddressTemp from './components/cm-address-temp'
import cmGoodsTemp from './components/cm-goods-temp'
import cmInvicePopup from './components/cm-invice-popup'
import conMixins from './mixins/conMixins.js'

export default {
	mixins: [conMixins],
	components: {
		cmAddressTemp,
		cmGoodsTemp,
		cmInvicePopup
	},
	data() {
		return {
			isSubLoading: false,
			modalButton: [
				{
					text: '再想一想',
					type: 'gray',
					plain: true //是否空心
				},
				{
					text: '继续提交',
					customStyle: {
						color: '#fff',
						bgColor: 'linear-gradient(90deg, #F28F31 0%, #FF5B00 100%)'
					},
					plain: false
				}
			],
			contentModalText: '', //操作文字提示语句
			modal: false,
			showModalstauts: 1,
			isIphoneX: this.$store.state.isIphoneX,
			confirmParam: {
				// 提交订单参数
				cartType: 3, // 购买类型:（1自主下单, 3协销下单）
				orderMiniType: 0, // 订单提交状态 0初始提交 1 继续提交
				orderSource: 6, // 订单来源 1WWW 6小程序[采美,星范]
				addressId: 0, // 收货地址Id
				clubCouponId: 0, // 关联优惠券Id
				clubId: 0, // 机构Id
				orderInfo: [], // 订单商品数据
				orderInvoice: { type: 0 }, // 订单发票信息
				orderSeen: 1, // 订单对机构可见度 1可见  2不可见
				payInfo: {
					// 订单金额数据
					orderShouldPayFee: 0, // 订单最终支付金额
					balancePayFlag: 0, // 勾选余额的状态(1使用，0不使用)
					clauseId: 0, // 条款Id
					postage: 0, // 运费金额
					postageFlag: 0, // 运费类型
					userBeans: 0, // 抵扣采美豆数量
					rebateFee: 0, // 返佣服务费
					rebateFlag: 0 // 是否返佣订单
				},
				unionId: uni.getStorageSync('unionId') // 用户unionId
			},
			rebateFee: '',
			rebateFeeText: '否',
			confirmType: 1,
			submitState: '', // 提交状态
			isRequest: false, // 是否加载完成渲染子组件
			isFreight: false, // 是否加载完成渲染子组件
			isExchangePopup: false, // 控制兑换优惠券弹窗
			isfreightTip: false, // 控制邮费弹窗
			ischecked: false, // 是否勾选余额
			addressData: {}, // 初始化地址信息
			goodsData: [], // 初始化商品信息
			couponList: [], // 初始化优惠券信息
			invoiceData: { type: 0 }, // 初始化发票信息
			orderInfo: [], // 提交的商品信息
			payInfo: {}, // 订单信息
			rechargeGoods: false,
			clauseList: [],
			seconDepositFlg: true,
			rebatecheck: false,
			isCouponShow: false, // 是否显示可选优惠券
			secondflag: true,
			isCouponModel: false, // 兑换优惠券成功提示
			ExchangeCouponData: {} // 兑换优惠券信息
		}
	},
	onLoad(option) {
		//商品数据
		this.initStorage(option)
	},
	filters: {
		NumFormat(value) {
			//处理金额
			return Number(value).toFixed(2)
		}
	},
	methods: {
		async initStorage(option) {
			const data = JSON.parse(option.data)
			const clubInfo = await this.$api.getComStorage('orderUserInfo')
			const userInfo = await this.$api.getStorage()
			this.handleComType = option.type * 1
			this.productParam.clubId = this.cartParam.clubId = this.confirmParam.clubId = clubInfo.clubId
			this.productParam.serviceProviderId = userInfo.serviceProviderId
			this.cartParam.serviceProviderId = userInfo.serviceProviderId
			this.confirmParam.serviceProviderId = userInfo.serviceProviderId
			if (option.type == '1') {
				this.confirmType = 1
				this.productParam.productCount = data.data.productCount
				this.productParam.productId = data.data.productIds
				this.getAddressData(clubInfo.userId, 1)
			} else {
				this.confirmType = 2
				this.cartParam.skuIds = data.data.skuIds
				this.getAddressData(clubInfo.userId, 2)
			}
		},
		//协销购物车跳转确认订单初始化信息
		async getInitCrearOrder() {
			try {
				const res = await this.SellerService.SellerSettlement(this.cartParam)
				const data = res.data
				this.goodsData = data.list.map(el => {
					el.handlePostageFlag = el.postageFlag
					return el
				})
				this.userMoney = data.userMoney
				this.couponList = data.couponList
				this.reducedPrice = data.reducedPrice
				this.totalCount = data.totalCount
				this.allPrice = data.totalPrice
				this.rechargeGoods = data.includeRecharge
				this.clauseList = data.clauseList
				this.isCouponShow = true
				if (this.couponList.length > 0) {
					this.couponAmount = data.couponList[0].couponAmount
					this.confirmParam.clubCouponId = data.couponList[0].clubCouponId
				}
				this.orderShouldPayFee = this.allPrice - this.couponAmount
				this.isRequest = true
			} catch (error) {
				console.log('获取订单信息异常')
			}
		},
		//二手下单初始化查询
		async getInitProdcutCrearOrder() {
			try {
				this.seconDepositFlg = false
				const res = await this.SellerService.GetSettlementBySencondProduct(this.productParam)
				const data = res.data
				this.goodsData = data.list.map(el => {
					el.handlePostageFlag = el.postageFlag
					return el
				})
				this.userMoney = data.userMoney
				this.totalCount = data.totalCount
				this.allPrice = data.totalPrice
				this.orderShouldPayFee = this.allPrice
				this.isCouponShow = false
				this.secondflag = false
				this.isRequest = true
			} catch (error) {
				console.log('获取订单信息异常')
			}
		},
		//获取地址信息
		async getAddressData(userId, type) {
			try {
				const params = { pageNum: 1, pageSize: 1, userId: userId }
				const res = await this.UserService.QueryAddressList(params)
				const data = res.data
				if (data.list && data.list.length > 0) {
					this.addressData = data.list[0]
					this.confirmParam.addressId = this.addressData.addressId
					this.cartParam.townId = this.addressData.townId
					this.productParam.townId = this.addressData.townId
				}
				if (type === 1) {
					//立即都买提交
					this.getInitProdcutCrearOrder()
				}
				if (type === 2) {
					//购物车提交
					this.getInitCrearOrder()
				}
			} catch (error) {
				console.log('获取订单地址异常')
			}
		},
		handChangeInputGoodsList(data) {
			//对应供应商的留言信息
			this.goodsData = data
		},
		handleChoiceaInvoiceData(data) {
			//获取发票信息
			this.confirmParam.orderInvoice = data
		},
		handleClauseData(clauseId) {
			// 条款Id
			this.confirmParam.payInfo.clauseId = parseInt(clauseId)
		},
		handleChoiceaCouponData(data) {
			// 勾选使用优惠券
			console.log('优惠券信息', data)
			this.couponAmount = data.couponAmount
			this.totalDiscountAmount = this.reducedPrice + this.couponAmount
			this.confirmParam.clubCouponId = data.clubCouponId
			this.attributePallPrice()
		},
		handleClubVisibleData(data) {
			// 订单对机构是否可见
			console.log('对机构是否可见', data)
			this.confirmParam.orderSeen = Number(data)
		},
		orderSubmitMit() {
			//提交订单
			if (this.confirmParam.addressId == '') {
				this.$util.msg('请先添加收货地址～', 2000)
				return
			}
			this.SellerCreateOrderSubmit()
			// if (this.confirmParam.payInfo.rebateFlag === 2) {
			// 	if (this.rebateFee == 0) {
			// 		this.$util.msg('请输入返佣服务费', 2000)
			// 		return
			// 	}
			// 	this.confirmParam.payInfo.rebateFee = Number(this.rebateFee).toFixed(2)
			// }
			// this.modal = true
			// this.contentModalText = '请仔细确认订单是否为返佣订单后再提交订单'
		},
		SellerCreateOrderSubmit() {
			//提交订单
			if (this.isSubLoading) {
				return
			}
			this.confirmParam.orderInfo = this.goodsData.map(el => {
				let productInfo = []
				el.cartList.forEach(pros => {
					productInfo.push({
						skuId: pros.skuId,
						productNum: pros.number,
						presentNum: 0,
						productType: pros.giftType
					})
				})
				return {
					splitCode: el.splitCode,
					shopId: el.shopId,
					note: el.note ? el.note : '',
					postage: parseInt(el.postage).toFixed(2),
					postageFlag: parseInt(el.handlePostageFlag),
					isColdChina: el.isColdChina ? 1 : 0,
					productInfo: productInfo
				}
			})
			this.confirmParam.payInfo.orderShouldPayFee = this.orderShouldPayFee.toFixed(2)
			this.confirmParam.payInfo = JSON.stringify(this.confirmParam.payInfo)
			this.confirmParam.orderInfo = JSON.stringify(this.confirmParam.orderInfo)
			this.confirmParam.orderInvoice = JSON.stringify(this.confirmParam.orderInvoice)
			this.isSubLoading = true
			this.hanldeOrderSubmit(this.confirmParam)
		},
		// 提交订单
		async hanldeOrderSubmit(params) {
			try {
				const res = await this.SellerService.SellerCreateOrderSubmit(params)
				const data = res.data
				if (data.code === 1) {
					this.$util.msg('支付成功', 2000, true, 'success')
					setTimeout(() => {
						this.isSubLoading = false
						this.$api.redirectTo('/pages/seller/order/order-list?listType=0')
					}, 2000)
				} else {
					this.$util.msg('订单提交成功', 2000, true, 'success')
					setTimeout(() => {
						this.isSubLoading = false
						this.$api.redirectTo('/pages/seller/order/order-list?listType=0')
					}, 2000)
				}
			} catch (error) {
				this.isSubLoading = false
				this.handleError(error)
			}
		},
		handleError(data) {
			// 提交订单异常处理
			this.formatConfirmParam()
			const buttonMap = {
				1: {
					contentModalText:
						'订单内存在械字号三类商品，需要拥有医疗执业许可证的医美机构才能购买。建议升级医美机构后再下单，否则会导致订单退款或影响发货。',
					modalButton: [
						{ text: '取消', type: 'gray', plain: true },
						{
							text: '继续提交',
							customStyle: { color: '#fff', bgColor: 'linear-gradient(90deg, #F28F31 0%, #FF5B00 100%)' },
							plain: false
						}
					]
				}
			}
			if (data.code === -6) {
				// 非医美机构下三类商品订单
				this.modal = true
				this.showModalstauts = 2
				this.contentModalText = buttonMap[1].contentModalText
				this.modalButton = buttonMap[1].modalButton
			} else {
				this.$util.msg(data.msg, 3000)
			}
		},
		formatConfirmParam() {
			// 还原提交订单参数格式
			this.confirmParam.payInfo = JSON.parse(this.confirmParam.payInfo)
			this.confirmParam.orderInfo = JSON.parse(this.confirmParam.orderInfo)
			this.confirmParam.orderInvoice = JSON.parse(this.confirmParam.orderInvoice)
		},
		handleRebateFlag() {
			// 普通订单返佣
			let self = this
			uni.showActionSheet({
				itemList: ['返佣订单', '普通订单，存在返佣服务费', '否'],
				success: e => {
					switch (e.tapIndex) {
						case 0:
							self.confirmParam.payInfo.rebateFlag = 1
							self.rebateFeeText = '返佣订单'
							break
						case 1:
							self.confirmParam.payInfo.rebateFlag = 2
							self.rebateFeeText = '普通订单，存在返佣服务费'
							break
						case 2:
							self.confirmParam.payInfo.rebateFlag = 0
							self.rebateFeeText = '否'
							break
					}
				}
			})
			if (this.confirmParam.payInfo.rebateFlag === 1) {
				this.confirmParam.payInfo.balancePayFlag = 0
				this.couponAmount = 0
				this.confirmParam.clubCouponId = 0
				this.confirmParam.orderSeen = 2
				this.$refs.clubVisible.orderVisibleText = '不可见'
				this.$refs.clubVisible.current = 1
				this.orderShouldPayFee = this.allPrice + parseInt(this.freightData.postage) - this.couponAmount
				this.totalDiscountAmount = this.reducedPrice + this.couponAmount
				this.$refs.coupon.coupon.couponAmount = 0
				this.$refs.freight.infoData(this.freightData)
				this.$refs.freight.freightData = this.freightData
				this.handleFreightData = this.freightData
			} else {
				this.confirmParam.orderSeen = 1
				this.$refs.clubVisible.orderVisibleText = '可见'
				if (this.couponList.length > 0) {
					this.confirmParam.clubCouponId = this.couponList[0].clubCouponId
					this.$refs.coupon.coupon.couponAmount = this.couponAmount = this.couponList[0].couponAmount
				}
				this.totalDiscountAmount = this.reducedPrice + this.couponAmount
				this.orderShouldPayFee = this.allPrice + parseInt(this.freightData.postage) - this.couponAmount
			}
		},
		handleClick(e) {
			//确认提交
			if (e.index == 1) {
				if (this.showModalstauts == 2) {
					this.confirmParam.orderMiniType = 2
					this.SellerCreateOrderSubmit()
				} else {
					this.SellerCreateOrderSubmit()
				}
			}
			this.confirmParam.orderMiniType = 0
			this.modal = false
		},
		handleSecondFlag() {
			// 二手订单勾选返佣
			this.rebatecheck = !this.rebatecheck
			if (this.rebatecheck) {
				this.ischecked = false
				this.confirmParam.payInfo.rebateFlag = 1
				this.confirmParam.payInfo.balancePayFlag = 0
				this.confirmParam.clubCouponId = 0
				this.confirmParam.orderSeen = 2
				this.$refs.clubVisible.orderVisibleText = '不可见'
				this.$refs.clubVisible.current = 1
				this.orderShouldPayFee = this.allPrice + parseInt(this.freightData.postage)
				this.$refs.freight.infoData(this.freightData)
				this.$refs.freight.freightData = this.freightData
				this.handleFreightData = this.freightData
			} else {
				this.confirmParam.orderSeen = 1
				this.$refs.clubVisible.orderVisibleText = '可见'
				this.confirmParam.payInfo.rebateFlag = 0
				this.orderShouldPayFee = this.allPrice + parseInt(this.freightData.postage)
			}
		},
		handFreightAlertShow() {
			//显示邮费弹窗
			this.isfreightTip = true
		},
		handleClickCancel() {
			// 关闭优惠券弹窗
			this.isCouponModel = false
			this.getInitCrearOrder()
		},
		hideFreight() {
			//关闭邮费弹窗
			this.isfreightTip = false
		},
		hideMobel() {
			this.modal = false
		}
	},
	onShow() {
		let pages = getCurrentPages()
		let currPage = pages[pages.length - 1]
		if (currPage.data.select == 'select') {
			let address = uni.getStorageSync('selectAddress')
			this.confirmParam.addressId = address.addressId
			this.cartParam.townId = address.townId
			this.productParam.townId = address.townId
			this.addressData = address
			this.ischecked = false
			this.isRequest = false
			if (this.handleComType === 1) {
				//立即都买提交
				this.getInitProdcutCrearOrder()
			}
			if (this.handleComType === 2) {
				//购物车提交
				this.getInitCrearOrder()
			}
		}
	}
}
</script>

<style lang="scss">
page {
	height: auto;
	background: #f7f7f7;
}
.btn-hover {
	background: #ffffff;
}
.animation {
	/* transition: transform 0.3s ease;*/
	transition-property: transform;
	transition-duration: 0.3s;
	transition-timing-function: ease;
}
.invoice-freight {
	width: 702rpx;
	padding: 0 24rpx;
	height: 86rpx;
	line-height: 86rpx;
	font-size: $font-size-28;
	color: $text-color;
	background: #ffffff;
	float: left;
	font-weight: bold;
	.freight-left {
		float: left;
		.icon-yunfeishuoming {
			height: 100%;
			padding: 0 15rpx;
			color: $color-system;
			font-weight: normal;
		}
	}
	.freight-right {
		float: right;
		color: #2a81ff;
	}
}
.invoice-balance {
	width: 702rpx;
	height: auto;
	padding: 0 24rpx;
	background: #ffffff;
	float: left;
	margin-top: 24rpx;
	margin-bottom: 24rpx;
	.balabce-t {
		width: 100%;
		height: 86rpx;
		line-height: 86rpx;
		font-size: $font-size-28;
		color: $text-color;
		float: left;
		.balabce-t-le {
			float: left;
			font-weight: bold;
		}
		.balabce-t-ri {
			float: right;
			display: flex;
			align-items: center;
			.money {
				display: flex;
				float: left;
			}
			.checkbox-box {
				display: flex;
				width: 60rpx;
				float: left;
				height: 100%;
				font-size: $font-size-24;
				.checkbox {
					width: 40rpx;
					text-align: right;
					box-sizing: border-box;
					text-align: center;
					text-decoration: none;
					border-radius: 0;
					-webkit-tap-highlight-color: transparent;
					overflow: hidden;
					color: $color-system;
					padding: 5rpx;
				}
			}
		}
	}
	.balabce-b {
		width: 100%;
		float: left;
		overflow: hidden;
		.balabce-b-text {
			width: 100%;
			line-height: 58rpx;
			font-size: $font-size-24;
			color: #ff2a2a;
			text-align: right;
			float: right;
		}
		&.balabce-b--hide {
			padding: 0 0;
			height: 0px;
			line-height: 0px;
		}
	}
}
.footer {
	position: fixed;
	left: 0;
	bottom: 0;
	display: flex;
	align-items: center;
	width: 100%;
	height: 110rpx;
	line-height: 110rpx;
	justify-content: space-between;
	font-size: $font-size-28;
	background-color: #ffffff;
	z-index: 990;
	color: $text-color;
	.footer-le {
		width: 570rpx;
		height: 100%;
		float: left;
	}
	.footer-count {
		float: left;
		padding-left: 24rpx;
		width: 190rpx;
		box-sizing: border-box;
		font-size: $font-size-26;
	}
	.footer-price {
		width: 370rpx;
		float: right;
		text-align: right;
		color: $text-color;
		padding: 10rpx 20rpx 10rpx 0;
		box-sizing: border-box;
		.sum-none {
			width: 100%;
			height: 45rpx;
			line-height: 45rpx;
			color: $text-color;
			float: left;
			text-align: right;
			.money {
				font-size: $font-size-26;
				color: #999999;
				text-decoration: line-through;
			}
			.money-sign {
				font-size: $font-size-26;
				color: #999999;
				text-decoration: line-through;
			}
			.money-reduced {
				margin-left: 10rpx;
				font-size: $font-size-26;
				color: $color-system;
			}
		}
		.sum {
			width: 100%;
			height: 45rpx;
			line-height: 45rpx;
			float: left;
			&.none {
				height: 90rpx;
				line-height: 90rpx;
			}
			.price {
				font-size: $font-size-32;
				color: #ff2a2a;
			}
		}
	}
	.footer-submit {
		display: flex;
		align-items: center;
		justify-content: center;
		width: 180rpx;
		height: 100%;
		box-sizing: border-box;
		padding: 15rpx 5rpx;
		.btn {
			width: 100%;
			height: 100%;
			color: #ffffff;
			background: $btn-confirm;
			font-size: $font-size-26;
			text-align: center;
			line-height: 80rpx;
			border-radius: 40rpx;
			&.disabled {
				background: #e4e8eb;
				color: #999999;
			}
		}
	}
}
.order-return {
	width: 100%;
	height: auto;
	box-sizing: border-box;
	padding: 0 24rpx;
	background: #ffffff;
	float: left;
	margin: 24rpx 0;
	.order-return-main {
		width: 100%;
		height: 86rpx;
		line-height: 86rpx;
		.label {
			float: left;
			font-weight: bold;
			color: #333333;
			font-size: $font-size-28;
		}
		.label-right {
			float: right;
			color: #2a81ff;
			.text-l {
				font-size: 28rpx;
				font-weight: bold;
				margin-right: 20rpx;
			}
			.icon-xiayibu {
				line-height: 88rpx;
				color: #999999;
				font-weight: normal;
			}
		}
	}
	.order-return-input {
		width: 100%;
		height: 86rpx;
		padding-bottom: 20rpx;
		box-sizing: border-box;
		.input {
			width: 100%;
			height: 66rpx;
			font-size: $font-size-26;
			border: 1px solid #e1e1e1;
			line-height: 66rpx;
			color: #333333;
			border-radius: 4rpx;
			box-sizing: border-box;
			padding: 0 20rpx;
		}
	}
}
.Rebate {
	width: 702rpx;
	height: auto;
	padding: 0 24rpx;
	background: #ffffff;
	float: left;
	margin-bottom: 24rpx;
	margin-top: 24rpx;
	line-height: 86rpx;
	.rebate-title {
		float: left;
		font-weight: bold;
		color: #333333;
		font-size: $font-size-28;
	}
	.iconfont {
		float: right;
		color: #b2b2b2;
		font-size: 40rpx;
		&.icon-yixuanze {
			color: $color-system;
		}
	}
}
.coupon-content-model {
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.5);
	position: fixed;
	top: 0;
	left: 0;
	z-index: 8888;
	transition: all 0.4s;
	.coupon-alert-content {
		width: 600rpx;
		height: 612rpx;
		position: absolute;
		top: 0;
		left: 0;
		bottom: 0;
		right: 0;
		margin: auto;
		box-sizing: border-box;
		padding-top: 92rpx;
		.coupon {
			width: 600rpx;
			height: 522rpx;
			background: url(https://static.caimei365.com/app/img/icon/icon-coupon-alertbg@2x.png);
			background-size: cover;
			box-sizing: border-box;
			padding: 230rpx 40rpx 0 40rpx;
			.coupon-list {
				width: 100%;
				height: 147rpx;
				margin-bottom: 32rpx;
				box-sizing: border-box;
				background: url(https://static.caimei365.com/app/img/icon/icon-coupon-bg@2x.png);
				background-size: cover;
				position: relative;
				.list-cell-tags {
					display: inline-block;
					padding: 0 10rpx;
					height: 32rpx;
					line-height: 32rpx;
					background-color: #f94b4b;
					color: #ffffff;
					font-size: 18rpx;
					border-radius: 16rpx 0 16rpx 0;
					text-align: center;
					position: absolute;
					top: 0;
					left: 0;
				}
				.list-cell-le {
					width: 154rpx;
					height: 100%;
					box-sizing: border-box;
					padding: 30rpx 0;
					float: left;
					.coupon-maxMoney {
						width: 100%;
						height: 54rpx;
						line-height: 54rpx;
						font-size: 42rpx;
						color: #f94b4b;
						text-align: center;
						margin-top: 10rpx;
						.small {
							font-size: $font-size-20;
						}
					}
					.coupon-minMoney {
						width: 100%;
						height: 28rpx;
						float: left;
						box-sizing: border-box;
						padding-left: 24rpx;
						.txt {
							display: block;
							height: 28rpx;
							line-height: 28rpx;
							font-size: 16rpx;
							color: #f94b4b;
							text-align: center;
							padding: 0 5rpx;
							background-color: #fff1eb;
							border-radius: 4rpx;
							float: left;
						}
					}
				}
				.list-cell-ri {
					width: 366rpx;
					height: 100%;
					box-sizing: border-box;
					padding: 30rpx 20rpx;
					float: left;
					.list-cell-top {
						width: 100%;
						height: 64rpx;
						line-height: 64rpx;
						font-size: $font-size-26;
						color: #333333;
						float: left;
						text-overflow: ellipsis;
						display: -webkit-box;
						word-break: break-all;
						-webkit-box-orient: vertical;
						-webkit-line-clamp: 1;
						overflow: hidden;
					}
					.list-cell-time {
						width: 100%;
						height: 28rpx;
						line-height: 28rpx;
						text-align: left;
						font-size: $font-size-20;
						color: #999999;
					}
				}
			}
			.coupon-btn {
				width: 100%;
				height: 78rpx;
				background: url(https://static.caimei365.com/app/img/icon/icon-coupon-alertbtnbg@2x.png);
				background-size: cover;
				line-height: 78rpx;
				text-align: center;
				color: #ffffff;
				font-size: $font-size-36;
			}
		}
	}
}
</style>
